The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

possible problem with fedora core 4 & exim

Discussion in 'General Discussion' started by erik@delphi, Aug 1, 2005.

  1. erik@delphi

    erik@delphi Well-Known Member

    Joined:
    Jul 9, 2005
    Messages:
    78
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Belgium
    hi people,

    I'm testing this for several days now and it seems the cpanel / whm updating script (upcp) is causing a problem on my fedora core 4 server.

    description
    The upcp script wants to update the exim mail transfer agent (MTA) to the rpm package for codera core 4 (ending in FC4) when this succeeds your e-mail server no longer works and you are unable to receive nor send any e-mail

    workaround
    the /scripts/eximup seems to fix this problem also make sure your domains are listed in "/etc/localdomains" that seems like fixing the problem however i would like to have a better solution then having to change that all the time(and loose some e-mails cause i do sleep at night)

    anyone noticed the same problem ? is it possible to "exclude" a single package from the update script telling the script not to update that package ?
     
    #1 erik@delphi, Aug 1, 2005
    Last edited: Aug 1, 2005
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    That's a problem with your OS installation. You should not have installed exim when the OS was built. Now that it has been installed, you should exclude exim in your yum.conf file.
     
  3. erik@delphi

    erik@delphi Well-Known Member

    Joined:
    Jul 9, 2005
    Messages:
    78
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Belgium
    yes you're right completely my fault however if you put this line in "/etc/yum.conf"

    Code:
    exclude=exim
    
    yum skips the update to exim problem solved
     
  4. PanelGuy

    PanelGuy Well-Known Member

    Joined:
    Oct 13, 2004
    Messages:
    106
    Likes Received:
    0
    Trophy Points:
    16
    Exim over 4.52 and FC4

    Does the new Exim 4.62 work with FC4 yet? Does anyone know for sure?
     
  5. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    No it doesn't and never will work with the version that FedoraCore ship as it's compiled by cPanel from source. You can find out at anytime what version of exim is supported by cPanel from here:
    http://diff.cpanel.net/eximinstall/version
     
Loading...

Share This Page